/* BEGIN_COMMON_COPYRIGHT_HEADER
 * (c)GPL3+
 *
 * elokab - a lightweight, Qt based, desktop toolset
 * https://sourceforge.net/project/elokab/
 *
 * Copyright: 2013-2014 elokab team
 * Authors:
 *   Abou Zakaria <yahiaui@gmail.com>
 *
 * This program or library is free software; you can redistribute it
 * and/or modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.

 * You should have received a copy of the GNU Lesser General
 * Public License along with this library; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301 USA
 *
 * END_COMMON_COPYRIGHT_HEADER */


#include "ddockapplication.h"

#include<QtGui>

#include <X11/Xlib.h>
#include <QDebug>
#include <QEvent>
/************************************************

 ************************************************/
DdockApplication::DdockApplication(int& argc, char** argv)
          : QApplication(argc, argv),
            mDock(0)
{
     QApplication::setAttribute(Qt::AA_DontShowIconsInMenus ,false);
 QStringList listThemePath=QIcon::themeSearchPaths();
   listThemePath.append(QDir::homePath()+"/.icons");
   listThemePath.append(QDir::homePath()+"/.kde/share/icons");
  listThemePath.append(QDir::homePath()+"/.kde4/share/icons");
listThemePath.removeDuplicates();

  QIcon::setThemeSearchPaths(listThemePath);

}


/************************************************

 ************************************************/
void DdockApplication::setDock(DockBarWidget* dock)
{

          mDock = dock;

//          QApplication::setLayoutDirection(Qt::RightToLeft);
//          QString translatorFileName = QLatin1String("qt_");
//          if( QApplication::layoutDirection()==Qt::RightToLeft){
//                    translatorFileName +="ar"; //QLocale::system().name();
//          }else{
//                    translatorFileName +="en"; //QLocale::system().name();
//          }
         }


/************************************************

 ************************************************/
bool DdockApplication::x11EventFilter(XEvent * event)
{
//qDebug()<<"XEvent.type;"<<event->type;
          if (mDock)
                    mDock->x11EventFilter(event);
          return false;
}


