#ifndef MENUGENIRATOR_H
#define MENUGENIRATOR_H

#include <QtGui>
#include <QtCore>
#include <QObject>

class MenuGenirator : public QObject
{

public:
        explicit MenuGenirator(const QString &locale,QObject *parent = 0);

signals:
        void appDesktopChanged();
private:

          QString m_locale;
          QStringList wordList;

 int m_appCount;
            QFileSystemWatcher *m_sWatcher;
public slots:
          bool appFilesExist();
private slots:
          void loadSettings();
          void saveSettings();
          int countDesktopDir(QString dir);
          int countDesktopFile(QString   dir);
          void genirateAppFile();
          void chargeDesktopDir(QString dir);
          void chargeDesktopFile(QString   dir);
          QString openDesktopEntry(QString file);
};
#endif // MENUGENIRATOR_H
