 QT       += core gui
TARGET =elokab-dock
DESTDIR = ../usr/bin
INCLUDEPATH +=../libraries
HEADERS += \
            dockbarwidget.h \
            animmation.h \
            dialogsettings.h \
            ddockapplication.h \
            dquicklaunch/quicklaunchlayout.h \
            dquicklaunch/quicklaunchbutton.h \
            dquicklaunch/quicklaunchaction.h \
            dquicklaunch/dialogaddaction.h \
            dquicklaunch/dactiontaskbar.h \
            ../libraries/mimetypexdg.h \
            ../libraries/xfitman.h \
            ../libraries/menugen.h \
            ../libraries/elokabsettings.h \
                      ../libraries/about/widgetabout.h \
    ../libraries/buttoncolor/buttoncolor.h \
    ../libraries/icontheme/widgeticonsthemes.h
LIBS += $(SUBLIBS)  -L/usr/lib -lQtDBus -lQtXml -lQtGui -lQtCore -lpthread -lX11
SOURCES += \
               dockbarwidget.cpp \
               main.cpp \
               animmation.cpp \
               dialogsettings.cpp \
               ddockapplication.cpp \
               dquicklaunch/dactiontaskbar.cpp \
               dquicklaunch/dialogaddaction.cpp \
               dquicklaunch/quicklaunchlayout.cpp \
               dquicklaunch/quicklaunchbutton.cpp \
               dquicklaunch/quicklaunchaction.cpp \
               ../libraries/mimetypexdg.cpp \
               ../libraries/xfitman.cpp \
              ../libraries/menugen.cpp \
              ../libraries/elokabsettings.cpp \
             ../libraries/about/widgetabout.cpp \
    ../libraries/buttoncolor/buttoncolor.cpp \
    ../libraries/icontheme/widgeticonsthemes.cpp


FORMS += \
            dockbarwidget.ui \
            dialogsettings.ui \
            dquicklaunch/dialogaddaction.ui \
                   ../libraries/about/widgetabout.ui \
    ../libraries/icontheme/widgeticonsthemes.ui

RESOURCES += \
    images.qrc



TRANSLATIONS    =../usr/share/elokab/elokab-dock/languages/elokab-dock_ar.ts\
                 ../usr/share/elokab/elokab-dock/languages/elokab-dock_fr.ts\

CODECFORTR = UTF-8





# install
MKDIR = mkdir -p /usr/share/elokab/elokab-dock
MKDIR = mkdir -p /usr/share/applications/
 data.files =../usr/share/elokab/elokab-dock*
 data.path=/usr/share/elokab/

 appdesktop.files =elokab-dock.desktop
 appdesktop.path=/usr/share/applications/



icons128.files=../usr/share/icons/hicolor/128x128/apps/elokab-dock.png
icons128.path =/usr/share/icons/hicolor/128x128/apps/
icons96.files=../usr/share/icons/hicolor/96x96/apps/elokab-dock.png
icons96.path =/usr/share/icons/hicolor/96x96/apps/
icons72.files=../usr/share/icons/hicolor/72x72/apps/elokab-dock.png
icons72.path =/usr/share/icons/hicolor/72x72/apps/
icons64.files=../usr/share/icons/hicolor/64x64/apps/elokab-dock.png
icons64.path =/usr/share/icons/hicolor/64x64/apps/
icons48.files=../usr/share/icons/hicolor/48x48/apps/elokab-dock.png
icons48.path =/usr/share/icons/hicolor/48x48/apps/
icons32.files=../usr/share/icons/hicolor/32x32/apps/elokab-dock.png
icons32.path =/usr/share/icons/hicolor/32x32/apps/
icons24.files=../usr/share/icons/hicolor/24x24/apps/elokab-dock.png
icons24.path =/usr/share/icons/hicolor/24x24/apps
icons22.files=../usr/share/icons/hicolor/22x22/apps/elokab-dock.png
icons22.path =/usr/share/icons/hicolor/22x22/apps/
icons16.files=../usr/share/icons/hicolor/16x16/apps/elokab-dock.png
icons16.path =/usr/share/icons/hicolor/16x16/apps/
scalable.files=../usr/share/icons/hicolor/scalable/apps/elokab-dock.svg
scalable.path =/usr/share/icons/hicolor/scalable/apps/
 target.path = /usr/bin

 INSTALLS +=    data \
                appdesktop \
                target \
                icons128\
                icons96\
                icons72\
                icons64\
                icons48\
                icons32\
                icons24\
                icons22\
                icons16\
                scalable







































